Bug 168894 - [iOS] Migrate off of CTFontCreateForCSS
Summary: [iOS] Migrate off of CTFontCreateForCSS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on: 168678
Blocks: 162815
  Show dependency treegraph
 
Reported: 2017-02-26 21:41 PST by Myles C. Maxfield
Modified: 2017-06-19 14:16 PDT (History)
4 users (show)

See Also:


Attachments
WIP (1.32 KB, patch)
2017-03-16 19:45 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (1.11 MB, application/zip)
2017-03-16 21:43 PDT, Build Bot
no flags Details
Patch (31.12 KB, patch)
2017-03-17 15:24 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (811.20 KB, application/zip)
2017-03-17 16:56 PDT, Build Bot
no flags Details
Patch (32.88 KB, patch)
2017-03-21 12:23 PDT, Myles C. Maxfield
koivisto: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2017-02-26 21:41:22 PST
Enable https://bugs.webkit.org/show_bug.cgi?id=168678 on iOS.
Comment 1 Myles C. Maxfield 2017-03-16 19:45:59 PDT
Created attachment 304740 [details]
WIP
Comment 2 Build Bot 2017-03-16 21:43:34 PDT
Comment on attachment 304740 [details]
WIP

Attachment 304740 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3346202

New failing tests:
fast/inline/padding-ellipsis-right.html
fast/text/font-weights.html
Comment 3 Build Bot 2017-03-16 21:43:38 PDT
Created attachment 304753 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 4 Myles C. Maxfield 2017-03-17 15:24:49 PDT
Created attachment 304826 [details]
Patch
Comment 5 Build Bot 2017-03-17 16:56:38 PDT
Comment on attachment 304826 [details]
Patch

Attachment 304826 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3352459

New failing tests:
fast/inline/padding-ellipsis-right.html
Comment 6 Build Bot 2017-03-17 16:56:41 PDT
Created attachment 304836 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 7 Myles C. Maxfield 2017-03-21 12:23:36 PDT
Created attachment 305009 [details]
Patch
Comment 8 Antti Koivisto 2017-03-21 13:56:48 PDT
r=me
Comment 9 Myles C. Maxfield 2017-03-22 00:15:23 PDT
Committed r214242: <http://trac.webkit.org/changeset/214242>
Comment 10 Radar WebKit Bug Importer 2017-06-19 14:16:22 PDT
<rdar://problem/32858218>